package ash.gui.core;
import java.awt.Component;
import java.awt.BorderLayout;

/**
 * AshBorderPanel は BorderLayout でレイアウトされるパネルを生成する。
 */
@SuppressWarnings("serial")
public class AshBorderPanel extends AshPanel {
	public AshBorderPanel() { setLayout(new BorderLayout()); }

	public AshBorderPanel setNorth(Object comp) {
		add(convert(comp), BorderLayout.NORTH);
		return this;
	}
	public AshBorderPanel setCenter(Object comp) {
		add(convert(comp), BorderLayout.CENTER);
		return this;
	}
	public AshBorderPanel setSouth(Object comp) {
		add(convert(comp), BorderLayout.SOUTH);
		return this;
	}
	public AshBorderPanel setWest(Object comp) {
		add(convert(comp), BorderLayout.WEST);
		return this;
	}
	public AshBorderPanel setEast(Object comp) {
		add(convert(comp), BorderLayout.EAST);
		return this;
	}
}
